using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static int podela(zarada[] x, int l, int d)
        {
            zarada b;
            double pivot = x[l].p;
            int k = l + 1;
            for (int i = l + 1; i <= d; i++)
            {
                if (x[i].p < pivot)
                {
                   b = x[i]; x[i] = x[k]; x[k] = b; k++;
                }
            }
            k--;
            b = x[k]; x[k] = x[l]; x[l]= b;
            return k;
        }

        static void qsort(zarada[] x, int l, int d)
        {
            if (l <= d)
            {
                int k = podela(x, l, d);
                qsort(x, l, k - 1);
                qsort(x, k + 1, d);
            }
        }
        struct zarada
        {
            public int a;
            public double p;
        }
        static void Main(string[] args)
        {
            double zbir, max = 0;
            string[] s;
            int n = int.Parse(Console.ReadLine());
            zarada[] x = new zarada[n];
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                x[i].a = int.Parse(s[0]);
                x[i].p = double.Parse(s[1])/100;
            }
            qsort(x, 0, n - 1);
            for (int i = 0; i < n; i++)
            {
                zbir = 0;
                for (int j = i; j < n; j++)
                {
                     zbir += x[i].p * x[j].a;
                }
                if (zbir > max) max = zbir;
            }
            Console.WriteLine(max.ToString("0.0000"));
        }
    }
}